using System.IO;
using Microsoft.AspNetCore.Hosting;

namespace Kiewit.Central.UI
{
  public class Program
  {
    public static void Main(string[] args)
    {
      var host = new WebHostBuilder()
        .UseKestrel()
        .UseContentRoot(Directory.GetCurrentDirectory())
        .UseIISIntegration()
        .UseStartup<Startup>()
        .UseApplicationInsights()
        //.UseSetting("detailedErrors", "true")
        //.CaptureStartupErrors(true)
        .Build();

      host.Run();
    }
  }
}
