import { Component, Input, Output, EventEmitter } from '@angular/core';
import {Ng2AutoCompleteModule} from 'ng2-auto-complete';
@Component({
  selector: 'kiewit-autocomplete',
  templateUrl: './kiewit-autocomplete.component.html',
  styleUrls: ['./kiewit-autocomplete.component.scss']
})
export class KiewitAutoCompleteComponent {
    @Input() kcsNgModel= '';
    @Input()
    dataSource: any[]= [];

    @Input()
    listformatter= '';
    @Input()
    valuepropertyname= '';
    @Input()
    displaypropertyname= '';

    @Output()
    kcsValueChange: EventEmitter<any> = new EventEmitter();

    selectValueEvent(newVal) {
      this.kcsValueChange.emit(newVal);

    }
}
