﻿import { Component, Input, Output, EventEmitter } from '@angular/core';

@Component({
    moduleId: module.id,
    selector: 'kiewit-button',
    templateUrl: './kiewit-button.component.html',
    styleUrls: ['./kiewit-button.component.scss']
})
export class KiewitButtonComponent {

    @Input()
    value = '';

    @Output()
    kiewitButtonClick: EventEmitter<any> = new EventEmitter();

    kiewitButtonClicked() {
        this.kiewitButtonClick.emit();
    }
}
