﻿import {NgModule} from '@angular/core';
import { KiewitGridComponent } from './kiewit-grid.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { GridModule } from '@progress/kendo-angular-grid';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { DropDownListModule } from '@progress/kendo-angular-dropdowns';
import { RowClickDirective } from './row-click.directive';

@NgModule({
  imports: [BrowserAnimationsModule, GridModule, CommonModule, ReactiveFormsModule, DropDownListModule ],
  declarations: [KiewitGridComponent, RowClickDirective],
  exports: [KiewitGridComponent, RowClickDirective, GridModule]
})
export class KiewitGridModule {
}
