import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { HttpModule } from '@angular/http';
import { KiewitMenuModule } from '../kiewit-menu/kiewit-menu.module';
import { KiewitHeaderComponent } from './kiewit-header.component';
import { HttpService } from '../../Common/http.service';

@NgModule({
    imports: [BrowserModule, KiewitMenuModule, HttpModule],
    declarations: [KiewitHeaderComponent],
    providers: [HttpService],
    exports: [KiewitHeaderComponent]
})

export class KiewitHeaderModule {
}
