import { Injectable, OnInit } from '@angular/core';
import { URLSearchParams } from '@angular/http';
import { HttpService } from '../../Common/http.service';
import { environment } from '../../environments/environment';

@Injectable()
export class KiewitHeaderService
{
  constructor(private httpService: HttpService) { }

  getApplication() {
    const uri =  environment.kcsServiceUrl + 'Applications';
    const params = new URLSearchParams();
    return this.httpService.httpGetService(uri, params);
  }

  getApplicationHeader()
  {
    const uri = environment.kcsServiceUrl + 'Applications?$filter=Name eq \'' + environment.app + '\'';
    const params = new URLSearchParams();
    return this.httpService.httpGetService(uri, params);
  }
}
