﻿import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { InputsModule } from '@progress/kendo-angular-inputs';
import { KiewitNumericTextboxComponent } from './kiewit-numerictextbox.component';
import { KiewitNumericTextboxGridComponent } from './kiewit-numerictextbox-grid.component';

@NgModule({
    imports: [BrowserAnimationsModule, FormsModule, ReactiveFormsModule, InputsModule],
    declarations: [KiewitNumericTextboxComponent, KiewitNumericTextboxGridComponent],
    exports: [KiewitNumericTextboxComponent, KiewitNumericTextboxGridComponent]
})
export class KiewitNumericTextboxModule {
}
