﻿export interface KiewitCard {
    CardId: number;
    CardHeight?: string;
    CardWidth?: string;
    CardHoverStateBGColor?: string;
    HeaderBGColor?: string;
    HeaderMenuHeight?: string;
    HeaderMenuIconColor?: string;
    HeaderMenuItems?: HeaderMenuItem[];
    HeaderMenuIconContentWidth?: string;
    HeaderMenuIconWidth?: string;
    TagImage?: string;
    TagIsOfficialPlan?: boolean;
    Title: string;
    TitleFont?: string;
    TitleFontSize?: string;
    TitleDescription1: string;
    TitleDescription1Font?: string;
    TitleDescription1FontSize?: string;
    TitleDescription2?: string;
    TitleDescription2Font?: string;
    TitleDescription2FontSize?: string;
    Highlighters?: Highlighter[];
    OptionsMenuItems?: OptionsMenuItem[];
}
export interface OptionsMenuItem {
    OptionsMenuItemIconTitle: string;
    OptionsMenuItemIconToolTip: string;
    OptionsMenuItemIcon: string;
    OptionsMenuItemIconHidden?: boolean;
    OptionsMenuItemIconDisabled?: boolean;
}
export interface HeaderMenuItem {
    HeaderMenuIconName: string;
    HeaderMenuIcon: string;
    HeaderMenuToolTip: string;
    HeaderMenuIconHidden?: boolean;
    HeaderMenuIconDisabled?: boolean;
}
export interface Highlighter {
    Highlighter: string;
    HighlighterFont?: string;
    HighlighterFontSize?: string;
    HighlighterDescription: string;
    HighlighterDescriptionFont?: string;
    HighlighterDescriptionFontSize?: string;
}
